Data Fields

# CommandContainer Struct Reference

Structure for buffering the build command when selecting a station to join. More...

`#include <command_type.h>`

Inheritance diagram for CommandContainer:

## Data Fields
TileIndex | tile
| tile command being executed on.
uint32 | p1
| parameter p1.
uint32 | p2
| parameter p2.
uint32 | cmd
| command being executed.
CommandCallback * | callback
| any callback function executed upon successful completion of the command.
char | text [32 *MAX_CHAR_LENGTH]
| possible text sent for name changes etc, in bytes including ''.

## Detailed Description

Structure for buffering the build command when selecting a station to join.

Definition at line 447 of file command_type.h.

The documentation for this struct was generated from the following file:

- src/command_type.h